#!/bin/bash

START_TIME="$(python3 -c 'import time; print(int(time.time())+5)')"

for i in {1..30}; do
	echo "Starting client ${i}..."
	python3 throughput_client.py 127.0.0.1 4373 --wait "${START_TIME}" &
	pids[${i}]=$!
	python3 -c "import time; time.sleep(0.01)"
done

trap stop_everything INT

function stop_everything(){
	for pid in ${pids[*]}; do
		kill $pid
	done
}

for pid in ${pids[*]}; do
	wait $pid
done
